<template>
    <main-master-page>
        <div class="employee-view">
            <div v-if="currentItem">
                <h1>{{ currentItem.passData }}</h1>
                <p>{{ currentItem.degree }}</p>
                <p>{{ currentItem.specialization }}</p>
                <p>{{ currentItem.position }}</p>
                <p>{{ currentItem.salary }}</p>
            </div>
            <div v-else>
                <p class="not-found-message">Employee not found</p>
            </div>
            <div class="buttons-container">
                <button class="edit-button" @click="onEdit(currentItem.id)">Edit</button>
            </div>
        </div>
    </main-master-page>
</template>

<script>
import { mapGetters } from 'vuex'
import MainMasterPage from '@/masterpages/MainMasterPage.vue';
export default {
    name: 'ViewEmployee',
    components: {
        MainMasterPage,
    },
    data() {
        return {
            currentItem: {}
        }
    },
    computed: {
        ...mapGetters('employees', ['getItemById']),
        itemId() {
            return this.$route.params.itemId
        },
    },
    created() {
        if (this.itemId)
            this.currentItem = { ...this.getItemById(this.itemId) };
    },
    methods: {
        onEdit(editEmployeeId) {
            this.$router.push({
                name: 'config', params: {
                    itemId: editEmployeeId
                }
            })
        },
        goToDetailsPage(employeeId) {
            this.$router.push({ name: 'view', params: { itemId: employeeId } });
        },
    }
}
</script>

<style lang="scss" scoped></style>
